
Foreman - Bug #2568

Foreman Installer node.rb script not working with 1.2

05/26/2013 06:59 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Puppet integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

in the node.rb, installed by the foreman installer, in def enc(certname)

I had to change the line:

req              = Net::HTTP::Get.new(foreman_url)

to:

req              = Net::HTTP::Get.new(uri.path + "?" + uri.query)

I'm a little perplexed because the first works with 1.1, but seems to no longer work in 1.2, which makes little sense to me. Not sure if

anyone else can reproduce.

Associated revisions

Revision b7ba7c3c - 05/27/2013 06:37 AM - Dominic Cleal

fixes #2568 - don't pass entire URL to Get, use request_uri consistently

History

#1 - 05/27/2013 03:07 AM - Dominic Cleal

- Category set to Puppet integration

- Target version set to 1.2.0

#2 - 05/27/2013 03:47 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

I can't reproduce this and can't think why it would change (my RHEL 6.4 installer host is fine), but the docs agree with your fix, so let's do it.

https://github.com/theforeman/puppet-foreman/pull/71

#3 - 05/27/2013 06:52 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
